package com.casic.common.detector.gd.bean;

import org.greenrobot.greendao.annotation.Entity;
import org.greenrobot.greendao.annotation.Generated;
import org.greenrobot.greendao.annotation.Id;

/**
 * 从平台下载的标识器本地库实体类
 */
@Entity
public class MarkerLocalBean {
    @Id(autoincrement = true)
    private Long id;//本地库主键ID

    // 管线类型
    private String pipelineType;
    // 管线直径
    private String pipelineDiameter;
    // 管材
    private String pipelineMaterial;
    // 埋设方式
    private String buryMethod;
    // 埋深
    private String buryDepth;
    // 所属区域
    private String area;
    // 所属线路
    private String line;
    // 所属道路
    private String road;
    // 建设年代
    private String constructTime;
    // 权属单位
    private String owner;
    //标识对象ID，无实际用途
    @Deprecated
    private String objectId;
    // 标识器ID
    private String markerId;
    // 标识器类型
    private String markerType;
    // 标识器埋深
    private String markerDepth;
    // 安装部门
    private String installationDept;
    // 经度
    private String lng;
    // 纬度
    private String lat;
    //最后修改时间，更新时间
    private String updateTime;
    // 备注信息
    private String remark;
    // 下层管线类型
    private String underlyingPipelineType;
    // 下层埋深
    private String underlyingPipelineDepth;
    // 下层管径
    private String underlyingPipelineDiameter;
    // 下层管材
    private String underlyingPipelineMaterial;
    //标识对象类型
    private String objectType;
    // 颜色
    private String color;
    // 图片路径
    private String imagePath;

    @Generated(hash = 1479045776)
    public MarkerLocalBean(Long id, String pipelineType, String pipelineDiameter,
                           String pipelineMaterial, String buryMethod, String buryDepth,
                           String area, String line, String road, String constructTime,
                           String owner, String objectId, String markerId, String markerType,
                           String markerDepth, String installationDept, String lng, String lat,
                           String updateTime, String remark, String underlyingPipelineType,
                           String underlyingPipelineDepth, String underlyingPipelineDiameter,
                           String underlyingPipelineMaterial, String objectType, String color,
                           String imagePath) {
        this.id = id;
        this.pipelineType = pipelineType;
        this.pipelineDiameter = pipelineDiameter;
        this.pipelineMaterial = pipelineMaterial;
        this.buryMethod = buryMethod;
        this.buryDepth = buryDepth;
        this.area = area;
        this.line = line;
        this.road = road;
        this.constructTime = constructTime;
        this.owner = owner;
        this.objectId = objectId;
        this.markerId = markerId;
        this.markerType = markerType;
        this.markerDepth = markerDepth;
        this.installationDept = installationDept;
        this.lng = lng;
        this.lat = lat;
        this.updateTime = updateTime;
        this.remark = remark;
        this.underlyingPipelineType = underlyingPipelineType;
        this.underlyingPipelineDepth = underlyingPipelineDepth;
        this.underlyingPipelineDiameter = underlyingPipelineDiameter;
        this.underlyingPipelineMaterial = underlyingPipelineMaterial;
        this.objectType = objectType;
        this.color = color;
        this.imagePath = imagePath;
    }

    @Generated(hash = 1538606012)
    public MarkerLocalBean() {
    }

    public Long getId() {
        return this.id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getPipelineType() {
        return this.pipelineType;
    }

    public void setPipelineType(String pipelineType) {
        this.pipelineType = pipelineType;
    }

    public String getPipelineDiameter() {
        return this.pipelineDiameter;
    }

    public void setPipelineDiameter(String pipelineDiameter) {
        this.pipelineDiameter = pipelineDiameter;
    }

    public String getPipelineMaterial() {
        return this.pipelineMaterial;
    }

    public void setPipelineMaterial(String pipelineMaterial) {
        this.pipelineMaterial = pipelineMaterial;
    }

    public String getBuryMethod() {
        return this.buryMethod;
    }

    public void setBuryMethod(String buryMethod) {
        this.buryMethod = buryMethod;
    }

    public String getBuryDepth() {
        return this.buryDepth;
    }

    public void setBuryDepth(String buryDepth) {
        this.buryDepth = buryDepth;
    }

    public String getArea() {
        return this.area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getLine() {
        return this.line;
    }

    public void setLine(String line) {
        this.line = line;
    }

    public String getRoad() {
        return this.road;
    }

    public void setRoad(String road) {
        this.road = road;
    }

    public String getConstructTime() {
        return this.constructTime;
    }

    public void setConstructTime(String constructTime) {
        this.constructTime = constructTime;
    }

    public String getOwner() {
        return this.owner;
    }

    public void setOwner(String owner) {
        this.owner = owner;
    }

    public String getObjectId() {
        return this.objectId;
    }

    public void setObjectId(String objectId) {
        this.objectId = objectId;
    }

    public String getMarkerId() {
        return this.markerId;
    }

    public void setMarkerId(String markerId) {
        this.markerId = markerId;
    }

    public String getMarkerType() {
        return this.markerType;
    }

    public void setMarkerType(String markerType) {
        this.markerType = markerType;
    }

    public String getMarkerDepth() {
        return this.markerDepth;
    }

    public void setMarkerDepth(String markerDepth) {
        this.markerDepth = markerDepth;
    }

    public String getInstallationDept() {
        return this.installationDept;
    }

    public void setInstallationDept(String installationDept) {
        this.installationDept = installationDept;
    }

    public String getLng() {
        return this.lng;
    }

    public void setLng(String lng) {
        this.lng = lng;
    }

    public String getLat() {
        return this.lat;
    }

    public void setLat(String lat) {
        this.lat = lat;
    }

    public String getUpdateTime() {
        return this.updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getRemark() {
        return this.remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getUnderlyingPipelineType() {
        return this.underlyingPipelineType;
    }

    public void setUnderlyingPipelineType(String underlyingPipelineType) {
        this.underlyingPipelineType = underlyingPipelineType;
    }

    public String getUnderlyingPipelineDepth() {
        return this.underlyingPipelineDepth;
    }

    public void setUnderlyingPipelineDepth(String underlyingPipelineDepth) {
        this.underlyingPipelineDepth = underlyingPipelineDepth;
    }

    public String getUnderlyingPipelineDiameter() {
        return this.underlyingPipelineDiameter;
    }

    public void setUnderlyingPipelineDiameter(String underlyingPipelineDiameter) {
        this.underlyingPipelineDiameter = underlyingPipelineDiameter;
    }

    public String getUnderlyingPipelineMaterial() {
        return this.underlyingPipelineMaterial;
    }

    public void setUnderlyingPipelineMaterial(String underlyingPipelineMaterial) {
        this.underlyingPipelineMaterial = underlyingPipelineMaterial;
    }

    public String getObjectType() {
        return this.objectType;
    }

    public void setObjectType(String objectType) {
        this.objectType = objectType;
    }

    public String getColor() {
        return this.color;
    }

    public void setColor(String color) {
        this.color = color;
    }

    public String getImagePath() {
        return this.imagePath;
    }

    public void setImagePath(String imagePath) {
        this.imagePath = imagePath;
    }
}
